commit: b7b54810398ae8bb5a31ed79b9b1a16d021b0909
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Mon Apr 18 14:18:35 2016 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun May 8 20:37:08 2016 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=b7b54810
kde-apps/grantleeeditor: Add split ebuild
Package-Manager: portage-2.2.27
kde-apps/grantleeeditor/grantleeeditor-9999.ebuild | 67 ++++++++++++++++++++++
kde-apps/grantleeeditor/metadata.xml | 8 +++
2 files changed, 75 insertions(+)
diff --git a/kde-apps/grantleeeditor/grantleeeditor-9999.ebuild
b/kde-apps/grantleeeditor/grantleeeditor-9999.ebuild
new file mode 100644
index 0000000..4a33400
--- /dev/null
+++ b/kde-apps/grantleeeditor/grantleeeditor-9999.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="forceoptional"
+KMNAME="kdepim"
+QT_MINIMAL="5.6.0"
+inherit kde5
+
+DESCRIPTION="Editor for Sieve scripts used for email filtering on a mail
server"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep knewstuff)
+ $(add_frameworks_dep ktexteditor)
+ $(add_frameworks_dep kwallet)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_kdeapps_dep akonadi-contact)
+ $(add_kdeapps_dep kblog)
+ $(add_kdeapps_dep kcontacts)
+ $(add_kdeapps_dep kmime)
+ $(add_kdeapps_dep kpimtextedit)
+ $(add_kdeapps_dep libkdepim)
+ $(add_kdeapps_dep messagelib)
+ $(add_kdeapps_dep pimcommon)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwebengine 'widgets')
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+ !kde-apps/kdepim:5
+ !kde-apps/kdepim-common-libs:4
+"
+
+if [[ ${KDE_BUILD_TYPE} = live ]] ; then
+ S="${WORKDIR}/${P}/${PN}"
+else
+ S="${WORKDIR}/${KMNAME}-${PV}/${PN}"
+fi
+
+src_prepare() {
+ # grantleeeditor subproject does not contain doc
+ # at least until properly split upstream
+ echo "add_subdirectory(doc)" >> CMakeLists.txt || die "Failed to add
doc dir"
+
+ mkdir doc || die "Failed to create doc dir"
+ mv ../doc/contactthemeeditor doc || die "Failed to move handbook"
+ mv ../doc/headerthemeeditor doc || die "Failed to move handbook"
+ cat <<-EOF > doc/CMakeLists.txt
+add_subdirectory(contactthemeeditor)
+add_subdirectory(headerthemeeditor)
+EOF
+
+ kde5_src_prepare
+}
diff --git a/kde-apps/grantleeeditor/metadata.xml
b/kde-apps/grantleeeditor/metadata.xml
new file mode 100644
index 0000000..2fdbf33
--- /dev/null
+++ b/kde-apps/grantleeeditor/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>[email protected]</email>
+ <name>Gentoo KDE Project</name>
+ </maintainer>
+</pkgmetadata>